﻿
/* ############################################################
	270 - FAKTENBOXEN
############################################################ */

/* Allgemein */
.mdl270-modul-box, .mdl270-image-box, .mdl270-text-box {
	position: relative;
	width: 100%;
}


/* Text */
.mdl270-modul-box .mdl270-text-box.font-medium {
	line-height: 1.1;
}


/* Icon */
.mdl270-image-box {
	padding-bottom: 20px;
	font-size: 0;
	line-height: 0;
}
	.mdl270-image-box svg {
		width: auto;
		height: 60px;
		fill: var(--main-color-2);
	}
	.mdl270-modul-box > .flex-container > .flex-item.is-link .mdl270-image-box svg {
		fill: var(--main-color-white);
	}
@media screen and (min-width: 768px) {
	.mdl270-image-box {
		padding-bottom: 30px;
	}
		.mdl270-image-box svg {
			height: 80px;
		}
}
@media screen and (min-width: 992px) {
	.flex-item.is-link .mdl270-image-box svg {
		-o-transition: fill 300ms var(--cubic-bezier);
		-ms-transition: fill 300ms var(--cubic-bezier);
		-moz-transition: fill 300ms var(--cubic-bezier);
		-webkit-transition: fill 300ms var(--cubic-bezier);
		transition: fill 300ms var(--cubic-bezier);
	}
	.mdl270-modul-box > .flex-container > .flex-item.is-link:hover .mdl270-image-box svg {
		fill: var(--main-color-2);
	}
}
@media screen and (min-width: 1400px) {
	.mdl270-image-box svg {
		height: 90px;
	}
}


/* ############################################################
	RASTER
############################################################ */

/* Rastersystem */
.mdl270-modul-box > .flex-container {
	display: inline-flex;
	flex-wrap: wrap;
	justify-content: left;
	width: 100%;
}
	.mdl270-modul-box > .flex-container > .flex-item {
		position: relative;
		display: flex;
		flex-direction: column;
		justify-content: flex-start;
		margin: 20px var(--gap) 0 0;
		padding: 35px 20px 40px;
		background-color: var(--main-color-6);
		border-radius: 20px;
	}
	.mdl270-modul-box > .flex-container > .flex-item.is-link {
		background-color: var(--main-color-2);
		color: var(--main-color-white);
	}
@media screen and (min-width: 768px) {
	.mdl270-modul-box > .flex-container > .flex-item {
		margin-top: var(--gap);
	}
}
@media screen and (max-width: 991.98px) {
	.mdl270-modul-box > .flex-container > .flex-item {
		width: 100%;
	}
	.mdl270-modul-box > .flex-container > .flex-item:nth-child(1n),
	.mdl270-modul-box > .flex-container > .flex-item:last-child {
		margin-right: 0;
	}
	.mdl270-modul-box > .flex-container > .flex-item:nth-child(-n+1) {
		margin-top: 0;
	}
}
@media screen and (min-width: 992px) {
	.mdl270-modul-box > .flex-container > .flex-item {
		width: calc(1/3*100% - (1 - 1/3)*var(--gap));
		padding: 50px 20px 60px;
	}
	.mdl270-modul-box > .flex-container > .flex-item:nth-child(3n),
	.mdl270-modul-box > .flex-container > .flex-item:last-child {
		margin-right: 0;
	}
	.mdl270-modul-box > .flex-container > .flex-item:nth-child(-n+3) {
		margin-top: 0;
	}
	.mdl270-modul-box > .flex-container > .flex-item.is-link {
		-o-transition: color 300ms var(--cubic-bezier), background 300ms var(--cubic-bezier);
		-ms-transition: color 300ms var(--cubic-bezier), background 300ms var(--cubic-bezier);
		-moz-transition: color 300ms var(--cubic-bezier), background 300ms var(--cubic-bezier);
		-webkit-transition: color 300ms var(--cubic-bezier), background 300ms var(--cubic-bezier);
		transition: color 300ms var(--cubic-bezier), background 300ms var(--cubic-bezier);
	}
	.mdl270-modul-box > .flex-container > .flex-item.is-link:hover {
		background-color: var(--main-color-1);
		color: var(--main-color-2);
	}
}

